<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <div class="modal fade" id="#{popup_id}" tabindex="-1" role="dialog"
         aria-labelledby="#{popup_id}ModalLabel">
        <div class="modal-dialog #{styleClass == null ? '' : styleClass} #{styleClass2 == null ? '' : styleClass2}" role="document">
            <div class="modal-content">
                <div class="modal-header #{headerStyleClass == null ? '' : headerStyleClass}">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&#215;</span></button>
                    <h4 class="modal-title" id="#{popup_id}ModalLabel"><ui:insert name="popup_title"/></h4>
                </div>
                <div class="modal-body #{bodyStyleClass == null ? '' : bodyStyleClass}">
                    <ui:insert/>
                </div>
                <div class="modal-footer #{footerStyleClass == null ? '' : footerStyleClass}">
                    <ui:insert name="popup_footer"/>
                </div>
            </div>
        </div>
    </div>
</ui:composition>